Download it now!
Bug 82747 - FILEOPEN: Crash on opening wikipedia ODT Book
Summary: FILEOPEN: Crash on opening wikipedia ODT Book
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: high critical
Assignee: Julien Nabet
URL:
Whiteboard: BSA target:4.4.0 target:4.3.2 target:...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-08-18 06:54 UTC by mlichj
Modified: 2014-08-25 08:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace for the master (20.38 KB, text/plain)
2014-08-19 17:50 UTC, Jean-Baptiste Faure
Details
console_bt with master sources (77.08 KB, text/plain)
2014-08-20 20:55 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mlichj 2014-08-18 06:54:49 UTC
Problem description: 

Steps to reproduce:
1. go to http://en.wikipedia.org/wiki/Book:Fields_Medal
2. Generated book in ODT format [Download ODT]
3. Download and open in LO

Current behavior:
crash

Expected behavior:
anything else

Note:
* Same crash result in libreoffice under fedora (v4.2.6)
Operating System: Windows 7
Version: 4.3.0.4 release
Comment 1 Julien Nabet 2014-08-18 08:14:16 UTC
Following your last comment, I update version (which must contains the oldest version)
Comment 2 Jean-Baptiste Faure 2014-08-18 21:11:33 UTC
Already saw that and reproducible with LO 4.3.2.0.0+ build at home under Ubuntu 14.04 x86-64.
Mark NEW but not sure if the problem is in LO or in the file generated by Wikipedia. I am not able to check the ODF conformance of the file. That said, LO does not complain about the file, it simply crash.

Best regards. JBF
Comment 3 Urmas 2014-08-19 11:27:43 UTC
Works fine in AOO 4.1
Comment 4 Jean-Baptiste Faure 2014-08-19 17:50:19 UTC
Created attachment 104906 [details]
backtrace for the master

Here is a backtrace for the master (Version: 4.4.0.0.alpha0+
Build ID: b32881b6723072c8d1a652ea147d12e75766d504) build at home under Ubuntu 14.04 x86-64

Best regards. JBF
Comment 5 Julien Nabet 2014-08-20 20:55:14 UTC
Created attachment 104993 [details]
console_bt with master sources

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
I attached console and bt (debug mode).
Comment 6 Julien Nabet 2014-08-20 20:55:56 UTC
Crash+all platforms=>increase importance
Comment 7 Julien Nabet 2014-08-20 21:06:32 UTC
I tried to fix it with this:
https://gerrit.libreoffice.org/11050
As I said, I'm not sure if I'm just hiding the bug or really fix it.

Anyway, with the patch I don't reproduce the crash.
Comment 8 Commit Notification 2014-08-23 04:22:41 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d34eb4612fa59fae7594399d3d6f798ddb35582

Resolves: fdo#82747 Crash on opening wikipedia ODT Book



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Julien Nabet 2014-08-23 06:44:46 UTC
Here are the cherry-picks:
- 4.3: https://gerrit.libreoffice.org/#/c/11083/
- 4.2: https://gerrit.libreoffice.org/#/c/11084/
Let's put this one to FIXED.
Comment 10 Commit Notification 2014-08-23 08:26:29 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02bcf0d5abff100289d01c29eee2ed0685eb64ca&h=libreoffice-4-3

Resolves: fdo#82747 Crash on opening wikipedia ODT Book


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Jean-Baptiste Faure 2014-08-23 14:41:11 UTC
Thank you very much, Julien
Verified fixed on master and version 4.3.2.0.0+ with the Wikipedia book in the bug description and with another (bigger) build for the test.

Best regards. JBF
Comment 12 Commit Notification 2014-08-25 08:25:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=352a728ffbe171ea6f9f8e93e143fa24198d8271&h=libreoffice-4-2

Resolves: fdo#82747 Crash on opening wikipedia ODT Book


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.